CustomerioEvents: Create job
POST
https://api.lytics.io/v2/job/customerio-eventsCreate a CustomerioEvents job
Hide Parameters
Query Parameters
account_idoptionalstringHeaders
AuthorizationoptionalstringBody Parameters
auth_idsoptionalstring[]configrequiredobjectconfig.webhookoptionalbooleandescriptionoptionalstringdrop_events_during_quiet_windowoptionalbooleanexpires_atoptionalstring (date-time)monitoringoptionalobjectnamerequiredstringquiet_periodoptionalintegerquiet_time_of_dayoptionalstringquiet_timezoneoptionalstringSample Request
{
"auth_ids": [
"string"
],
"config": {
"webhook": true
},
"description": "string",
"drop_events_during_quiet_window": true,
"expires_at": "2019-08-24T14:15:22Z",
"monitoring": {},
"name": "string",
"quiet_period": 0,
"quiet_time_of_day": "string",
"quiet_timezone": "string"
}Sample Response
Status|201 Created
{
"_meta": {},
"data": {
"account_id": "string",
"anomaly_rule": {
"aid": 0,
"checks": [
{
"allowable_violations": 0,
"interval": "string",
"lookback_count": 0,
"max_threshold": 0,
"metric_type": "string",
"min_threshold": 0,
"type": "string",
"variance_pct": 0
}
],
"created": "string",
"id": "string",
"subject_id": "string",
"subject_type": "string",
"updated": "string"
},
"api_token_auth_id": "string",
"auth_ids": [
"string"
],
"config": {
"webhook": true
},
"created": "string",
"deleted": true,
"description": "string",
"drop_events_during_quiet_window": true,
"expires_at": "2019-08-24T14:15:22Z",
"id": "string",
"meta": {},
"monitoring": {},
"name": "string",
"quiet_period": 0,
"quiet_time_of_day": "string",
"quiet_timezone": "string",
"sleep_until": "string",
"status": "runnable",
"updated": "string",
"user_id": "string",
"workflow": "string",
"workflow_id": "string"
},
"request_id": "string",
"status": 0
}CustomerioEvents: Get job
GET
https://api.lytics.io/v2/job/customerio-events/{id}CustomerioEvents: Update job
PUT
https://api.lytics.io/v2/job/customerio-events/{id}